<?php
//include_once("c_esmo_gateway_upload.php");
include_once("c_ot.php");

//include_once(_DIR_TO_ENGINE.'/admin/i_admin_system.php') ;
class c_page_cab_ot_vpf_editor_opo extends c_page_cab_ot
{
 public $h1='Редактор ВПФ (ОПО)' ;
 public $objPHPExcel ;
 public $aSheet ;
 public $csv_headers ;
 public $db_headers ;
 public $setting ;
 public $table_name ;
 public $setting_name ;


 function block_main()
 { $this->page_title() ;


  //execSQL_update('update opo_list_vpf set parent=27 where pkey in (28,29,30,31,32,33,34,35) ',['debug'=>2]) ;

  include_once(_DIR_EXT.'/ot/report_vpf_opo_edit.php') ;
  $report_obj=new report_vpf_opo_edit() ;
  $report_obj->no_view_title=1 ;
  $report_obj->setting() ;
  $report_obj->view_as_HTML() ;

   //$recs=execSQL('select * from opo_list_vpf limit 100') ;

  /*
  execSQL('select * from opo_vpf',2) ;
  execSQL_update('truncate table opo_list_vpf',['debug'=>2]) ;
  adding_rec_to_table('opo_list_vpf',['obj_name'=>'Список ВПФ для ОПО','clss'=>230,'parent'=>0]) ;
  execSQL_update('insert into opo_list_vpf (clss,obj_name,parent) select 230,obj_name,1 from opo_vpf',['debug'=>2]) ;
  */


 }

}



?>



?>
